Last Comment Bug 831774 - Project Kickoff Form: Legal section - Changes to SOW field
: Project Kickoff Form: Legal section - Changes to SOW field
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: Production
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 08:19 PST by Liz Compton [:liz]
Modified: 2013-02-12 15:04 PST (History)
3 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Liz Compton [:liz] 2013-01-17 08:19:52 PST
In order to get all the info needed, please change the SOW field into a series of questions as follows:

Please provide the following information for the SOW:
Full legal name of the company:
Company's address:
Company's email address for notices:
Main Mozilla contact:
Main company contact name and email address:
Description of the services to be provided:
Description of the deliverables:
Start and end dates:
Amount company will be paid:
Basis for payment (hourly, flat fee, per deliverable, etc):
If hourly, either average or maximum hours per week/month:
Payment schedule (every 30 days; half due up front, half on completion; following acceptance of each deliverable, etc.):
Total not to exceed amount:
Any special terms:
Product line:
Comment 1 Liz Compton [:liz] 2013-01-17 09:09:29 PST
Also, please make the whole SOW section required and add this note at the bottom:

"Please attach your creative brief, RFP, or other description of the project provided to the vendor, and the vendor's proposal, SOW or other docs to the Legal bug."
Comment 2 David Lawrence [:dkl] 2013-01-25 15:14:50 PST
Just a note. When this is completed the Kickoff Wiki will need to be updated with this new information for reference. I fear the wiki has gotten out of sync with what is currently in production and that makes it difficult to go back and see if the current code is following the proper logic.

dkl
Comment 3 Liz Compton [:liz] 2013-01-25 16:27:42 PST
What's the URL for the kickoff wiki?
Comment 4 David Lawrence [:dkl] 2013-01-25 19:53:51 PST
(In reply to Liz Compton from comment #3)
> What's the URL for the kickoff wiki?

Oh sorry. It is here: https://wiki.mozilla.org/Websites/Kick-Off_Form/Requirements
Comment 5 David Lawrence [:dkl] 2013-01-25 20:59:04 PST
I have uploaded changes to our test instance for your feedback. Please take a look and see if it looks correct and creates the proper bug reports.

https://bugzilla-stage-tip.mozilla.org/form.moz.project.review

Thanks
dkl
Comment 6 Liz Compton [:liz] 2013-01-28 14:07:14 PST
Thanks. Overall looks good. I have a few requested changes:

Change "Company" to "Vendor" in all applicable fields

Change "Company Services Provided" to "Vendor Services to be Provided"

Change "Amount to be Paid" to "Rate of Pay" and add "Include currency" next to it

Change "Hours per Week" to "Average/Max Hours" and make it not required 

At the beginning of the explanation next to "Payment Schedule" add "When will we make payments? E.g. "

Change "Total Amount not to Exceed" to "Total Not to Exceed Amount"

"Any Special Terms" doesn't need to be required

Make "Product Line" a drop down with the following options: Firefox OS,
Firefox Desktop, Firefox Mobile, Firefox Platform, Marketplace/Apps,
Lab/Research, Services, Product Support, Corp Support
Comment 7 David Lawrence [:dkl] 2013-02-11 08:14:11 PST
(In reply to Liz Compton from comment #6)
> Thanks. Overall looks good. I have a few requested changes:

Thanks for the feedback. A new revision has been pushed to:

https://bugzilla-stage-tip.mozilla.org/form.moz.project.review

dkl
Comment 8 Liz Compton [:liz] 2013-02-11 15:26:21 PST
Thanks. Everything looks good. The only thing I noticed is that now there are a couple of duplications with the finance section: Legal Vendor Name in the Legal SOW section and Vendor in the Finance section and Total Not to Exceed Amount in the Legal SOW section and Total Cost in the Finance section.

Winnie, Michelle - Do you think we can only ask for this info once? What do you think is the best place to ask for it?

Also, this isn't specific to this bug, but I noticed that the list of blocking bugs is repeated 3 times in the tracking bug.
Comment 9 David Lawrence [:dkl] 2013-02-12 14:24:09 PST
(In reply to Liz Compton from comment #8)
> Thanks. Everything looks good. The only thing I noticed is that now there
> are a couple of duplications with the finance section: Legal Vendor Name in
> the Legal SOW section and Vendor in the Finance section and Total Not to
> Exceed Amount in the Legal SOW section and Total Cost in the Finance section.
> 
> Winnie, Michelle - Do you think we can only ask for this info once? What do
> you think is the best place to ask for it?

Let's go ahead and file a separate bug related to the duplication and I will go ahead and close this one out when I check in the changes.

> Also, this isn't specific to this bug, but I noticed that the list of
> blocking bugs is repeated 3 times in the tracking bug.

Known separate issue that I have committed a fix for.

Thanks
dkl
Comment 10 David Lawrence [:dkl] 2013-02-12 14:46:07 PST
Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0         
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review-legal.txt.tmpl
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
modified extensions/MozProjectReview/web/js/moz_project_review.js
Committed revision 8480.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2         
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review-legal.txt.tmpl
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl                                                                  
modified extensions/MozProjectReview/web/js/moz_project_review.js
Committed revision 8549.
Comment 11 Liz Compton [:liz] 2013-02-12 15:04:56 PST
thanks

Note You need to log in before you can comment on or make changes to this bug.